Heads Up! VLC 3.0 arrived to Arch Testing 😎


#1

Screenshot_20180226_091229

Direct Changelog (formally NEWS) https://www.videolan.org/developers/vlc-branch/NEWS


#2

About time to be honest. It has been out for a week or 2 now for Windows.


#7

Was flagged out of date on 07-Feb, looks like the maintainer was asleep at the wheel.


#8

Well, we had provided the current release already thru vlc-nightly packages since months …


#9

The update was more complicated than normal due to various library changes and rebuilding packages that depend on the new VLC version.

https://lists.archlinux.org/pipermail/arch-general/2018-February/044738.html


#10

What is VLC 4.0 available in the AUR (vlc-git 4.0.0.r1440.g5d0d2b0d53-1)?


#11

That is the next version in development :slight_smile:


#12

9 days later and still in testing, which is a good thing methinks, still pretty buggy.


#13

Now in Manjaro unstable.

EDIT :

And it is broken using nvidia gpu on an optimus laptop, working fine with intel gpu.

$ primusrun vlc
VLC media player 3.0.1 Vetinari (revision 3.0.1-0-gec0f700fcc)
[00005598188c13f0] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
../include/vlc_xlib.h:46:vlc_xlib_init: Xlib not initialized for threads.
This process is probably using LibVLC incorrectly.
Pass "--no-xlib" to libvlc_new() to fix this.
[00005598189bfe50] qt interface error: Xlib not initialized for threads
../include/vlc_xlib.h:46:vlc_xlib_init: Xlib not initialized for threads.
This process is probably using LibVLC incorrectly.
Pass "--no-xlib" to libvlc_new() to fix this.
[00005598189bfe50] skins2 interface error: Xlib not initialized for threads
[00005598189bfe50] skins2 interface error: initializing xlib for multi-threading failed
[00005598189bfe50] skins2 interface error: cannot initialize OSFactory
[00005598188c4f60] main playlist: playlist is empty
[00005598189bfe50] [cli] lua interface: Listening on host "*console".
VLC media player 3.0.1 Vetinari

EDIT :

Started a new thread with this specific issue.


#14

I had some issues with the VLC timeline bar interface associated with screen flickering, but I switched to a custom skin and those issues went away…also installed libva-intel-driver for va-api hw acceleration for intel gfx as it was throwing some libva errors in terminal before installing this package.


[VLC] VLC video flickers when changing volume (XFCE) / Downgrade VLC
[Testing Update] 2018-04-02 - Kernels, Gnome, Mesa, Pamac, Browsers, GStreamer, LibreOffice, PHP
XFCE use only default cursor theme
Minecraft Crashing Before Starting
[Testing Update] 2018-06-13 - Kernels, Nvidia, Deepin, Browsers, KDE Framework
#15

HW acceleration. refuse or use it.

…I’ll just leave this here:
https://wiki.archlinux.org/index.php/Hardware_video_acceleration


#16

That’s exactly what I read for determining that I needed the Intel driver for libva. VLC enables hw acceleration by default but the errors are not readily apparent so I believe it simply reverts to software rending if it also can’t find a vdpau implementation. The way I knew that libva wasn’t being utilized was by incidentally trying to debug the VLC timeline on the native skins.


#17

This topic was automatically closed 180 days after the last reply. New replies are no longer allowed.